type ('a, 'b) graphe = ('a * (int * 'b) list) array

type ('a, 'b) structuregraphique = {
elementgraphique : ('a, 'b) graphe;
oriente : bool;
flecherentrante : bool array;
flechesortante : bool array;
longueurfleche : float;
fonctionsommet : 'a -> string * string;
fonctionarc : 'b -> string * string;
ecarthorizontal : float;
ecartvertical : float;
diametresommet : float;
largeurboucle : float;
distancevaluation : float;
hauteurvaluation : float;
trespetitecart : float;
petitecart : float;
rayonangle : float;
margehorizontale : float;
}

val draw_structuregraphique : ('a, 'b) structuregraphique -> unit

val affiche_graphe :
?cs:string ->
?d:float ->
?eh:float ->
?ehp:float ->
?ehpp:float ->
?lb:float ->
?mh:float ->
?ca:string ->
?ra:float ->
?ev:float ->
?dv:float ->
?hv:float ->
?o:bool -> ('a -> string) -> ('b -> string) -> ('a, 'b) graphe -> unit

