type 'a arbre = { etiquette : 'a; branches : 'a foret; } 
and 'a foret = 'a arbre list

type 'a arbrebinaire = Nil | Noeud of 'a arbrebinaire * 'a * 'a arbrebinaire

type 'a elementgraphique =
  Arbre of 'a arbre
  | Foret of 'a foret
  | Arbrebinaire of 'a arbrebinaire

type 'a structuregraphique = {
  elementgraphique : 'a elementgraphique;
  fonctionnoeud : 'a -> float -> float -> unit;
  fonctionarc : 'a -> 'a -> float -> float -> float -> float -> unit;
  ecarthorizontal : float;
  ecartvertical : float;
  largeurnoeud : float;
  hauteurnoeud : float;
} 

val dimensions_structuregraphique : 'a structuregraphique -> float * float
val draw_structuregraphique : 'a structuregraphique -> float -> float -> unit
val arbre_of_string : string -> string arbre
val foret_of_string : string -> string foret
val affiche_elementgraphique :
?ca:string ->
?cn:string ->
?d:float ->
?eh:float -> ?ev:float -> ('a -> string) -> 'a elementgraphique -> unit









